### Constructor

# Gimp Path new_from_text_layer

since: 2.6

#### Declaration [src]

    GimpPath*
    gimp_path_new_from_text_layer (
      GimpImage* image,
      GimpLayer* layer
    )

#### Description [src]

Create a new path object from a text layer.

This procedure creates a new path object from a text layer.

The new path still needs to be added to the image as this is not automatic. Add the new path with the `gimp_image_insert_path()` method.

Available since: 2.6

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`layer`

  Type: `GimpLayer`

  The text layer.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpPath`

The path of the text layer.

The data is owned by the called function.